<script setup>
    const props = defineProps(['ficheDePaie'])
    import BoutonModifier from '../boutons/BoutonModifier.vue';
    import BoutonSupprimer from '../boutons/BoutonSupprimer.vue';
    import BoutonVoir from '../boutons/BoutonVoir.vue';
</script>

<template>
    <tr>
        <td>{{ props.ficheDePaie.idEmploye }}</td>
        <td>{{ props.ficheDePaie.role }}</td>
        <td>{{ props.ficheDePaie.date }}</td>
        <td>{{ parseFloat(props.ficheDePaie.salaireBrut) / 100.0 }} €</td>
        <td>{{ parseFloat(props.ficheDePaie.cotisationsPatronales) / 100.0 }} €</td>
        <td><BoutonVoir :href="'/fiches_de_paie/' + props.ficheDePaie.idFicheDePaie"/></td>
        <td><BoutonModifier :href="'/fiches_de_paie/' + props.ficheDePaie.idFicheDePaie" /></td>
        <td><BoutonSupprimer @click="$emit('supprimer', props.ficheDePaie.idFicheDePaie)"/></td>
    </tr>
</template>

<style scoped></style>